Bug 1663498 - [OSP13] Upgrade Ansible to 2.6
Summary: [OSP13] Upgrade Ansible to 2.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ansible
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 13.0 (Queens)
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1663497
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-04 15:08 UTC by Giulio Fidente
Modified: 2019-03-14 13:34 UTC (History)
7 users (show)

Fixed In Version: ansible-2.6.11-1.el7ae
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1663497
Environment:
Last Closed: 2019-03-14 13:34:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
RDO 14960 0 None master: MERGED rdoinfo: deps: bump Ansible to 2.6.11 for Queens, Stein and Rocky (I24567a1aef761c79b121ba193ddf97a67f9f4c43) 2019-01-07 14:37:25 UTC
Red Hat Product Errata RHSA-2019:0564 0 None None None 2019-03-14 13:34:43 UTC

Description Giulio Fidente 2019-01-04 15:08:25 UTC
+++ This bug was initially created as a clone of Bug #1663497 +++

Ansible 2.4 is unsupported upstream and 2.5 is only receiving security fixes, starting with the Ceph 3.2 update ceph-ansible will be tested upstream with Ansible 2.6 only.

DFG/Ceph is proposing to upgrade Ansible, from 2.5 to 2.6, in OSP 13 and 14.

--- Additional comment from Giulio Fidente on 2019-01-04 15:06:00 UTC ---

Proposed upstream in RDO with https://review.rdoproject.org/r/#/c/14960/

Comment 1 Jon Schlueter 2019-01-07 14:36:46 UTC
ansible-2.6.11-1.el7ae - is available in brew.

Comment 15 Yogev Rabl 2019-02-26 15:52:24 UTC
Verified in CI

Comment 17 errata-xmlrpc 2019-03-14 13:34:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0564


Note You need to log in before you can comment on or make changes to this bug.